package ua.be.wee.service;

import java.nio.file.Path;
import java.util.stream.Stream;

import javax.servlet.http.Part;

import org.springframework.core.io.Resource;

public interface FileStorageService {
  public void init();

  public void save(Part file);

  public Resource load(String filename);

  public boolean delete(String filename);
  
  public void deleteAll();

  public Stream<Path> loadAll();
}
